View Issue Details

IDProjectCategoryView StatusLast Update
0013542mantisbtreportspublic2014-09-23 18:05
ReporterVeMag Assigned Torombert  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.2.8 
Target Version1.2.11Fixed in Version1.2.11 
Summary0013542: in MantisGraph, function "Show as Table" try to open an iframe and fail
Description

I understand reading 0012165 issue that opening an iframe is forbidden, so the page have to be rewritten

Steps To Reproduce

go "View Issues",
choose [ Graph ]
select "by Status", "This Week", "Show as Table" submit

the result can be obtain in a new window but it doesn't look fine

TagsNo tags attached.

Relationships

related to 0011824 closeddhx Implement X-Frame-Options clickjacking protection 
related to 0015721 closedgrangeway Functionality to consider porting to master-2.0.x 

Activities

atrol

atrol

2011-11-17 10:44

developer   ~0030242

Reminder sent to: dhx

This is introduced by 0011824

dhx

dhx

2011-11-18 03:01

reporter   ~0030245

ack, thanks for reporting

atrol

atrol

2012-04-11 10:41

developer   ~0031643

There is a pull request to fix the issue
https://github.com/mantisbt/mantisbt/pull/45

atrol

atrol

2012-05-01 05:05

developer   ~0031734

Last edited: 2012-05-01 05:07

View 2 revisions

Reminder sent to: rombert

I would like to attach the changesets for master and master-1.2.x
But I don't find the one for master-1.2.x in the list.
Any idea what's going wrong?
http://www.mantisbt.org/bugs/plugin.php?page=Source/list&id=7

This is the one for master
http://www.mantisbt.org/bugs/plugin.php?page=Source/view&id=17486
which shows:
Conflicts:
plugins/MantisGraph/pages/bug_graph_page.php

dregad

dregad

2012-05-01 05:18

developer   ~0031735

@atrol

It's there, you just need to scroll to page 2, as the changesets are sorted by commit date.

Alternatively, you can use the search function
http://www.mantisbt.org/bugs/plugin.php?page=Source%2Fsearch&user_id=&author=&revision=&bug_id=&date_start_default=2000-1-1&date_start_year=2000&date_start_month=1&date_start_day=1&date_end_default=2012-5-1&date_end_year=2012&date_end_month=5&date_end_day=1&message=13542&filename=

atrol

atrol

2012-05-01 06:21

developer   ~0031736

Thanks dregad, learning every day (at least I hope so ....)

Is this something we have to worry?
Conflicts:
plugins/MantisGraph/pages/bug_graph_page.php

http://www.mantisbt.org/bugs/plugin.php?page=Source/view&id=17486

rombert

rombert

2012-05-01 07:01

reporter   ~0031737

(In reply to comment 0013542:0031736)

Is this something we have to worry?
Conflicts:
plugins/MantisGraph/pages/bug_graph_page.php

It's just a record that there was a conflict which needed manual resolution.

grangeway

grangeway

2013-04-05 17:57

reporter   ~0036266

Marking as 'acknowledged' not resolved/closed to track that change gets ported to master-2.0.x branch

Related Changesets

MantisBT: master-1.2.x 4f93c957

2012-04-11 05:55:12

VeMag

Details Diff
Fix 0013542: ... try to open an iframe and fail

Replace iframe by include
Affected Issues
0013542
mod - plugins/MantisGraph/pages/bug_graph_page.php Diff File

MantisBT: master c4221c0b

2012-04-29 07:31:38

VeMag

Details Diff
Fix 0013542: ... try to open an iframe and fail

Replace iframe by include

Conflicts:
plugins/MantisGraph/pages/bug_graph_page.php
Affected Issues
0013542
mod - plugins/MantisGraph/pages/bug_graph_page.php Diff File

Issue History

Date Modified Username Field Change
2011-11-17 10:13 VeMag New Issue
2011-11-17 10:43 atrol Status new => confirmed
2011-11-17 10:44 atrol Note Added: 0030242
2011-11-18 02:58 dhx Relationship added related to 0011824
2011-11-18 03:01 dhx Note Added: 0030245
2011-11-18 03:01 dhx Target Version => 1.2.9
2012-03-04 09:23 atrol Target Version 1.2.9 => 1.2.10
2012-04-02 02:33 atrol Target Version 1.2.10 => 1.2.11
2012-04-11 10:41 atrol Note Added: 0031643
2012-04-29 10:33 rombert Assigned To => rombert
2012-04-29 10:33 rombert Status confirmed => resolved
2012-04-29 10:33 rombert Resolution open => fixed
2012-04-29 10:33 rombert Fixed in Version => 1.2.11
2012-05-01 05:05 atrol Note Added: 0031734
2012-05-01 05:07 atrol Note Edited: 0031734 View Revisions
2012-05-01 05:18 dregad Note Added: 0031735
2012-05-01 06:15 atrol Changeset attached => MantisBT master-1.2.x 4f93c957
2012-05-01 06:16 atrol Changeset attached => MantisBT master c4221c0b
2012-05-01 06:21 atrol Note Added: 0031736
2012-05-01 07:01 rombert Note Added: 0031737
2012-06-06 23:53 jreese Status resolved => closed
2013-04-05 17:57 grangeway Status closed => acknowledged
2013-04-05 17:57 grangeway Note Added: 0036266
2013-04-05 18:34 grangeway Relationship added related to 0015721
2013-04-06 03:40 dregad Status acknowledged => closed
2013-04-06 07:23 grangeway Status closed => acknowledged
2013-04-06 09:22 dregad Tag Attached: 2.0.x check
2013-04-06 09:23 dregad Status acknowledged => closed
2014-09-23 18:05 grangeway Tag Detached: 2.0.x check
2014-11-25 11:04 vboctor Category graphs => reports